Index: extensions/rv_sitemap/language/en_UK/description.txt
===================================================================
--- extensions/rv_sitemap/language/en_UK/description.txt	(revision 8984)
+++ extensions/rv_sitemap/language/en_UK/description.txt	(revision 8984)
@@ -0,0 +1,1 @@
+Creates a sitemap for your gallery. Sitemaps are used to inform search engines about pages that are available for crawling.
Index: extensions/rv_sitemap/language/en_UK/index.php
===================================================================
--- extensions/rv_sitemap/language/en_UK/index.php	(revision 8984)
+++ extensions/rv_sitemap/language/en_UK/index.php	(revision 8984)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/rv_sitemap/language/en_UK/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/en_UK/plugin.lang.php	(revision 8984)
+++ extensions/rv_sitemap/language/en_UK/plugin.lang.php	(revision 8984)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['Global'] = 'Global';
+$lang['Filename'] = 'Filename';
+$lang['Priority'] = 'Priority';
+$lang['Frequency'] = 'Frequency';
+$lang['always'] = 'always';
+$lang['hourly'] = 'hourly';
+$lang['daily'] = 'daily';
+$lang['weekly'] = 'weekly';
+$lang['monthly'] = 'monthly';
+$lang['yearly'] = 'yearly';
+$lang['never'] = 'never';
+
+$lang['Recent photos'] = 'Photos récentes';
+
+?>
Index: extensions/rv_sitemap/language/fr_FR/description.txt
===================================================================
--- extensions/rv_sitemap/language/fr_FR/description.txt	(revision 8984)
+++ extensions/rv_sitemap/language/fr_FR/description.txt	(revision 8984)
@@ -0,0 +1,1 @@
+Crée un plan du site pour votre galerie. Les sitemaps sont utilisés pour indiquer aux moteurs de recherche les pages à analyser.
Index: extensions/rv_sitemap/language/fr_FR/index.php
===================================================================
--- extensions/rv_sitemap/language/fr_FR/index.php	(revision 8984)
+++ extensions/rv_sitemap/language/fr_FR/index.php	(revision 8984)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/rv_sitemap/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/fr_FR/plugin.lang.php	(revision 8984)
+++ extensions/rv_sitemap/language/fr_FR/plugin.lang.php	(revision 8984)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['Global'] = 'Global';
+$lang['Filename'] = 'Nom de fichier';
+$lang['Priority'] = 'Priorité';
+$lang['Frequency'] = 'Fréquence';
+$lang['always'] = 'toujours';
+$lang['hourly'] = 'une fois par heure';
+$lang['daily'] = 'quotidiennement';
+$lang['weekly'] = 'hebdomadaire';
+$lang['monthly'] = 'mensuel';
+$lang['yearly'] = 'annuellement';
+$lang['never'] = 'jamais';
+
+$lang['Recent photos'] = 'Photos récentes';
+
+?>
Index: extensions/rv_sitemap/language/index.php
===================================================================
--- extensions/rv_sitemap/language/index.php	(revision 8984)
+++ extensions/rv_sitemap/language/index.php	(revision 8984)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/rv_sitemap/sitemap.php
===================================================================
--- extensions/rv_sitemap/sitemap.php	(revision 8981)
+++ extensions/rv_sitemap/sitemap.php	(revision 8984)
@@ -1,4 +1,8 @@
 <?php
 defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
+
+define('RVS_DIR' , basename(dirname(__FILE__)));
+define('RVS_PATH' , PHPWG_PLUGINS_PATH . RVS_DIR . '/');
+load_language('plugin.lang', RVS_PATH);
 
 function sitemaps_get_config_file_name()
@@ -72,4 +76,15 @@
 
 
+
+$frequenciesT = array(
+    '',
+    l10n('always'),
+    l10n('hourly'),
+    l10n('daily'),
+    l10n('weekly'),
+    l10n('monthly'),
+    l10n('yearly'),
+    l10n('never'),
+  );
 
 $frequencies = array(
@@ -83,8 +98,8 @@
     'never',
   );
-
+  
 $specials = array(
   'categories' => array('L'=>l10n('Home'), 'P'=>0.9),
-  'best_rated' => array( 'L'=>l10n('Best rated'), 'P'=>0.8 ) ,
+  'best_rated' => array('L'=>l10n('Best rated'), 'P'=>0.8 ) ,
   'most_visited' => array('L'=>l10n('Most visited'), 'P'=>0.8 ),
   'recent_pics' => array('L'=>l10n('Recent photos'), 'P'=>0.8, 'F'=>'weekly' ),
@@ -304,4 +319,5 @@
 
 $template->assign('frequencies', $frequencies);
+$template->assign('frequenciesT', $frequenciesT);
 
 $template->set_filename('sitemap', dirname(__FILE__).'/sitemap.tpl');
Index: extensions/rv_sitemap/sitemap.tpl
===================================================================
--- extensions/rv_sitemap/sitemap.tpl	(revision 8981)
+++ extensions/rv_sitemap/sitemap.tpl	(revision 8984)
@@ -7,14 +7,14 @@
 
 <fieldset>
-<legend>Global</legend>
+<legend>{'Global'|@translate}</legend>
 <p>
-  <label for="filename">Filename<input type="input" name="filename" value="{$FILENAME}" /></label> <a href="{$U_FILENAME}">{$U_FILENAME}</a>
+  <label for="filename">{'Filename'|@translate} <input type="input" name="filename" value="{$FILENAME}" /></label> <a href="{$U_FILENAME}">{$U_FILENAME}</a>
   <label for="gzip">Gzip<input type="checkbox" name="gzip" {$GZIP_CHECKED} /></label>
 </p>
 {foreach from=$specials item=special}
-    <label><input type="checkbox" {$special.CHECKED} name="special_{$special.NAME}"/>{$special.LABEL}</label>
+    <label><input type="checkbox" {$special.CHECKED} name="special_{$special.NAME}"/> {$special.LABEL} </label>
     <input type="input" size="4" name="special_prio_{$special.NAME}" value="{$special.PRIO}"/>
 	<select name="special_freq_{$special.NAME}" >
-	  {html_options values=$frequencies output=$frequencies selected=$special.FREQ}
+	  {html_options values=$frequencies output=$frequenciesT selected=$special.FREQ}
 	</select>
     <br/>
@@ -23,12 +23,12 @@
 
 <fieldset>
-<legend>Categories</legend>
+<legend>{'Categories'|@translate}</legend>
 <select style="width:500px" name="categories[]" multiple="multiple" size="15">
   {html_options options=$categories selected=$categories_selected}
 </select>
-<label for="prio_categories">Priority<input name="prio_categories" size="4" value="{$PRIO_CATEGORIES}" /></label>
-<label for="freq_categories">Frequency
+<label for="prio_categories">{'Priority'|@translate} <input name="prio_categories" size="4" value="{$PRIO_CATEGORIES}" /></label>
+<label for="freq_categories">{'Frequency'|@translate}
 <select name="freq_categories" >
-  {html_options values=$frequencies output=$frequencies selected=$freq_categories_selected}
+  {html_options values=$frequencies output=$frequenciesT selected=$freq_categories_selected}
 </select>
 </label>
@@ -36,12 +36,12 @@
 
 <fieldset>
-<legend>Tags</legend>
+<legend>{'Tags'|@translate}</legend>
 <select style="width:200px" name="tags[]" multiple="multiple" size="15">
   {html_options options=$tags selected=$tags_selected}
 </select>
-<label for="prio_tags">Priority<input name="prio_tags" size="4" value="{$PRIO_TAGS}" /></label>
-<label for="freq_tags">Frequency
+<label for="prio_tags">{'Priority'|@translate} <input name="prio_tags" size="4" value="{$PRIO_TAGS}" /></label>
+<label for="freq_tags">{'Frequency'|@translate}
 <select name="freq_tags" >
-  {html_options values=$frequencies output=$frequencies selected=$freq_tags_selected}
+  {html_options values=$frequencies output=$frequenciesT selected=$freq_tags_selected}
 </select>
 </label>