Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 8986)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 8987)
@@ -78,6 +78,7 @@
 $lang['Dissociated'] = 'Nincs hozzárendelve';
 $lang['Does not represent'] = 'Nem képviseli';
-$lang['Edit selected tags'] = 'Kiválasztott címkék javítása';
-$lang['Edit tags'] = 'Címkék javítása';
+$lang['Edit selected tags'] = 'Kiválasztott címkék szerkesztése';
+$lang['Edit tags'] = 'Címkék szerkesztése';
+$lang['Elements'] = 'Elemek';
 $lang['Email admins when a new user registers'] = 'Email-küldés, ha egy új felhasználó regisztrál';
 $lang['Email admins when a valid comment is entered'] = 'Email-küldés, ha egy érvényes hozzászólás érkezik ';
@@ -341,5 +342,5 @@
 $lang['Album list management'] = 'Albumok kezelése';
 $lang['Piwigo configuration'] = 'Piwigo konfiguráció';
-$lang['Edit album'] = 'Album javítása';
+$lang['Edit album'] = 'Album szerkesztése';
 $lang['Group management'] = 'Csoportok kezelése';
 $lang['User list'] = 'Felhasználók listája';
@@ -348,9 +349,9 @@
 $lang['Database synchronization with files'] = 'Adatbázis szinkronizálása ezzel a mappával';
 $lang['all'] = 'összes';
-$lang['photos without thumbnail (jpeg and png only)'] = 'csak bélyegkép nélküli képek (jpeg és png)';
+$lang['photos without thumbnail (jpeg and png only)'] = 'bélyegkép nélküli kép (jpeg és png)';
 $lang['height must be a number superior to'] = 'a magasságnak ennél nagyobbnak kell lennie:';
 $lang['width must be a number superior to'] = 'a szélességnek ennél nagyobbnak kell lennie:';
 $lang['for the file format'] = 'fájl formátum';
-$lang['No missing thumbnail'] = 'Nincs (hiányzó) bélyegkép';
+$lang['No missing thumbnail'] = 'Nincs hiányzó bélyegkép';
 $lang['Photo unreachable or no support'] = 'Kép nem elérhető, vagy formátuma nem támogatott';
 $lang['GD version'] = 'GD verzió';
@@ -398,5 +399,4 @@
 $lang['Metadata synchronization results'] = 'Meta adatok szinkronizálásának eredménye';
 $lang['only perform a simulation (no change in database will be made)'] = 'Csak szimuláció végrehajtása (az adatbázisban nem történik változás)';
-$lang['[Simulation]'] = '[Szimuláció]';
 $lang['Simulation'] = 'Szimuláció';
 $lang['directories + files'] = 'Mappák + fájlok';
@@ -470,10 +470,10 @@
 $lang['Correction applied with error'] = 'A hibajavítás sikertelen';
 $lang['%d anomaly has been detected.'] = '%d rendellenességet mutatott ki.';
-$lang['%d anomalies have been detected.'] = '%d rendellenességet mutatott ki.';
+$lang['%d anomalies have been detected.'] = '%d rendellenességet találtam.';
 $lang['%d anomaly has been corrected.'] = '%d rendellenesség javítva.';
 $lang['%d anomalies have been detected corrected.'] = '%d észlelt rendellenesség kijavítva.';
 $lang['%d anomaly has not been corrected.'] = '%d rendellenesség nem került javításra.';
 $lang['%d anomalies have not been corrected.'] = '%d észlelt rendellenesség javítása nem sikerült.';
-$lang['Go to %s or %s for more informations'] = 'Ugrás %s vagy %s további információkért';
+$lang['Go to %s or %s for more informations'] = 'Ugrás %s-ra vagy %s oldalra további információkért';
 $lang['the forum'] = 'a fórum';
 $lang['the wiki'] = 'a wiki';
@@ -505,5 +505,5 @@
 $lang['Check automatic corrections'] = 'Automatikus hibajavítás a kijelölteken';
 $lang['Apply selected corrections'] = 'A kiválasztott hibajavítás alkalmazása';
-$lang['Ignore selected anomalies'] = 'Figyelmen kívül hagyja a kijelölt rendellenességeket';
+$lang['Ignore selected anomalies'] = 'Hagyja figyelmen kívül a kijelölt rendellenességeket';
 $lang['Refresh'] = 'Frissítés';
 $lang['The anomaly will be ignored until next application version'] = 'A rendelleneség figyelmen kívül hagyva a következő verzió alkalmazásáig';
@@ -775,3 +775,10 @@
 $lang['with no tag'] = 'nincs címke';
 
+// missing translations
+$lang['Album photos associated to the following albums: %s'] = 'Az albumban lévő képek hozzárendelve a következő albumokhoz: %s';
+$lang['Delete orphan tags'] = 'Árva címkék törlése';
+$lang['delete photo'] = 'kép törlése';
+$lang['Orphan tags deleted'] = 'Árva címkék törölve';
+$lang['Week starts on'] = 'A hét első napja';
+$lang['You have %d orphan tags: %s.'] = '%d árva címke található: %s.';
 ?>