Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 9006)
+++ /extensions/Autosize/autosize.inc.php	(revision 9007)
@@ -108,4 +108,7 @@
             $autoscript .="<input id='src_img_h'  type='hidden' value='' />";
             $autoscript .="<input id='src_img_w'   type='hidden' value='' />";
+            $autoscript .="<input id='window_height'  type='hidden' value='' />";
+            $autoscript .="<input id='window_width'   type='hidden' value='' />";
+             $autoscript .='<div id="Debug6"  align=center style="display:none"></div>';
 		$template->append('footer_elements',$autoscript);  
 		return ; 
Index: /extensions/Autosize/css/autosize.css
===================================================================
--- /extensions/Autosize/css/autosize.css	(revision 9006)
+++ /extensions/Autosize/css/autosize.css	(revision 9007)
@@ -42,4 +42,4 @@
 }
 #imageContainer{
- height:1000px; 
+ height:1400px; 
 }
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 9006)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 9007)
@@ -55,24 +55,24 @@
         return
     }
-    nu_img++; 
-    
+    nu_img++;
+
     if (fade_in == 0) {
         jQuery(Parent).css({ opacity: "1" });
-    } else {        
-                jQuery(Parent).animate( { opacity: "1" },
+    } else {
+        jQuery(Parent).animate({ opacity: "1" },
                                          fade_in, "swing",
                                          function (i) {
-                                              jQuery(Parent).css({ opacity: "1" });
-                                                if (DEBUG == "true") {
-                                                    bp1 = jQuery('.debug').get(nu_img);
-                                                    if (!bp1) nu_img = 0;
-                                                    bp1 = jQuery('.debug').get(nu_img);
-                                                    jQuery(bp1).trigger('ON');
-                                                  }
+                                             jQuery(Parent).css({ opacity: "1" });
+                                             if (DEBUG == "true") {
+                                                 bp1 = jQuery('.debug').get(nu_img);
+                                                 if (!bp1) nu_img = 0;
+                                                 bp1 = jQuery('.debug').get(nu_img);
+                                                 jQuery(bp1).trigger('ON');
+                                             }
                                          }
                                        );
-                      
-    }
- //   if (nu_img > 1) return;
+
+    }
+    //   if (nu_img > 1) return;
 
 
@@ -84,6 +84,13 @@
     jQuery("#src_img_w").val(img_w);
     jQuery("#ret_autosize").val(src_img);
-   
-    jQuery("#ret_autosize").trigger('ON', { width: img_w, height: img_h, theImage: TheImg, src_img: src_img });
+    jQuery("#window_height").val(Window_Affichage.height);
+    jQuery("#window_width").val(Window_Affichage.width);
+    jQuery("#ret_autosize").trigger('ON', { width: img_w,
+        height: img_h,
+        theImage: TheImg,
+        src_img: src_img,
+        window_height: Window_Affichage.height,
+        window_width: Window_Affichage.width
+    });
 
 
@@ -131,5 +138,5 @@
         marginLeft = "auto";
 
-    jQuery(Obj).css({ width: "auto",marginTop:marge_top,
+    jQuery(Obj).css({ width: "auto", marginTop: marge_top,
         marginLeft: "auto", marginBottom: 0 + "px",
         verticalAlign: "middle", textAlign: "center"
@@ -189,6 +196,6 @@
                     img = jQuery(this);
                     rap.push((img.width() / img.height()));
-                    width.push( img.width()   );
-                    height.push( img.height() );
+                    width.push(img.width());
+                    height.push(img.height());
                 });
 
@@ -228,7 +235,9 @@
          jQuery(window).unload(function () {
              if (TheImg) {
-                 jQuery.cookie('old_img', TheImg.src); // créer un cookie avec une valeur
-                 jQuery.cookie('old_img_h', jQuery(TheImg).height()); // créer un cookie avec une valeur
-                 jQuery.cookie('old_img_w', jQuery(TheImg).width()); // créer un cookie avec une valeur
+                 jQuery.cookie('img', TheImg.src); // créer un cookie avec une valeur
+                 jQuery.cookie('img_h', jQuery(TheImg).height());
+                 jQuery.cookie('img_w', jQuery(TheImg).width());
+                 jQuery.cookie('window_height', Window_Affichage.height);
+                 jQuery.cookie('window_width', Window_Affichage.width);
              }
 
@@ -255,9 +264,10 @@
                  options = { imageAutosizeMargin: 0, imageAutosize: false }
              }
-     
-            old_img= jQuery.cookie('old_img'); 
-            old_img_h= jQuery.cookie('old_img_h'); 
-            old_img_w= jQuery.cookie('old_img_w'); 
-
+
+             old_img = jQuery.cookie('img');
+             old_img_h = jQuery.cookie('img_h');
+             old_img_w = jQuery.cookie('img_w');
+             old_window_height = jQuery.cookie('window_height');
+             old_window_width = jQuery.cookie('window_width');
 
              //============================================================
@@ -361,8 +371,5 @@
                  var chk = eval(user_status + "_enabled");
                  if (chk == "") { return true; }
-
                  //=================================================================
-
-
                  var winwidth = jQuery(window).width();
                  var winheight = jQuery(window).height();
@@ -1044,26 +1051,35 @@
                  }
                  info_frame = jQuery(Cadre).infos();
-
+                 if (theme.match(RegExp("stripped", "gi"))) {
+                     pos = "absolute";
+                     info_theImageBox = jQuery("#theImageAndTitle").infos();
+                     t1 = info_theImageBox.top;
+                     l1 = info_theImageBox.left;
+                     info_theImageBox = jQuery(Parent).infos();
+
+                 } else {
+                     pos = "absolute";
+                     t1 = info_frame.top;
+                     l1 = info_frame.left;
+                     info_theImageBox = jQuery(Parent).infos();
+                 }
+
+                 info_theImageBox.margin.margin = info_frame.margin.margin;
+                 info_theImageBox.top = t1;
+                 info_theImageBox.left = l1;
+                 info_theImageBox.pos = "absolute";
+                 Window_Affichage = info_theImageBox;
                  if (DEBUG == "true") {
-                     if (theme.match(RegExp("stripped", "gi"))) {
-                         pos = "absolute";
-                         t1 = info_imageInfoBar.bottom;
-                         l1 = info_imageInfoBar.left;
-                     } else {
-                         pos = "absolute";
-                         t1 = info_frame.top;
-                         l1 = info_frame.left;
-                     }
                      //   jQuery(Cadre).css("border", "solid green");
-                     margins = info_frame.margin.margin;
+
                      jQuery("#Debug5").css({ background: "transparent",
                          position: pos,
                          border: "green solid 2px",
                          textAlign: align_auto,
-                         margin: margins,
-                         top: t1 + "px",
-                         left: l1 + "px",
-                         width: info_frame.width + "px",
-                         height: info_frame.height + "px"
+                         margin: Window_Affichage.margin.margin,
+                         top: Window_Affichage.top + "px",
+                         left: Window_Affichage.left + "px",
+                         width: Window_Affichage.width + "px",
+                         height: Window_Affichage.height + "px"
                      }); //red
                      jQuery("#Debug4").css({ top: info_frame.bottom - info_description.height + "px" }); //green
@@ -1134,6 +1150,13 @@
     info_theImage = jQuery(Parent).infos();
     info_thePicturePage = jQuery("#thePicturePage").infos();
+
+
     if (theme.match(RegExp("stripped", "gi"))) {
-              optiontop = 0;// Info_the_page.top+ info_imageInfoBar.bottom + llgboframe.top + info_imageToolBar.top + info_imageToolBar.height;
+
+        info_theImageAndTitle = jQuery("#theImageAndTitle").infos();
+        info_theImageBox = jQuery("#theImageBox").infos();
+
+        optiontop = (marges_llgbo / 2) + info_theImageAndTitle.margin.top;
+
     }
 
@@ -1333,31 +1356,36 @@
         //=========================================================
     } else if (theme.match(RegExp("stripped", "gi"))) {
-    
-        info_theImageAndTitle = jQuery("#theImageAndTitle").infos();
-        info_description.top = info_img.bottom;
-        info_description.bottom = info_description.borderwidth.top +
-                    info_description.borderwidth.bottom;
        
-        if (options.imageAutosizeTitle) {
-
-            check_desc_v = true;
-            h0 = info_theImageAndTitle.bottom - info_img.bottom;
-            info_description.bottom += info_theImageAndTitle.bottom+
-            marges_llgbo/2 ; //+
-              // info_theImageAndTitle.margin.top;
-              // info_theImageAndTitle.margin.bottom +
-         }        ;
-         
+        if (options.imageAutosizeTitle == false) {
+            info_description.top = info_theImageAndTitle.bottom +
+                                    info_theImageAndTitle.margin.bottom +
+                                    info_theImageAndTitle.margin.top;
+
+            info_description.bottom = info_theImageAndTitle.bottom +
+                                    info_description.borderwidth.top +
+                                    info_description.borderwidth.bottom + 
+                                    (marges_llgbo / 2);   
+
+        } else {
+            info_description.top = info_theImageBox.bottom +
+                                    info_theImageAndTitle.margin.bottom +
+                                    info_theImageAndTitle.margin.top;
+            info_description.bottom = info_theImageAndTitle.bottom +             
+                                    info_description.borderwidth.top +
+                                    info_description.borderwidth.bottom  ;       
+            
+        };
+        check_desc_v = true; 
 
     } else {
         info_description.bottom = info_theImage.bottom;
         info_description.top = info_img.height + info_theImage.top;
-       // info_description.bottom -= info_img.top;
+        // info_description.bottom -= info_img.top;
     }
     //   if (msie == true) info_description.bottom -= 4;
-    
+
     info_description.height = info_description.bottom - info_description.top;
 
-    if (check_desc_v ==false) {
+    if (check_desc_v == false) {
         info_description.height = 0;
     }
@@ -1365,5 +1393,5 @@
     Debug_pos();
 
-  //  cl_visible=false ;
+    //  cl_visible=false ;
     return info_description;
 }
@@ -1371,5 +1399,5 @@
 //====================================================
 function Debug_info(index, infos, nom) {
-    if (DEBUG != "true") return;
+
     if (infos.height > 0) {
 