Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 9010)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 9011)
@@ -724,3 +724,49 @@
 $lang['Impossible to deactivate this language, first set another language as default.'] = 'Bu dili devre dışı bırakmak imkansız, önce varsayılan olarak başka bir dil ayarla.';
 $lang['Menu Management'] = 'Menü Yönetimi';
+$lang['%d of %d photos selected'] = '%d resimden %d seçildi';
+$lang['Action'] = 'Eylem';
+$lang['Add a filter'] = 'Filtre ekle';
+$lang['Album photos associated to the following albums: %s'] = 'Albüm fotoğrafları aşağıdaki albümlerle ilişkilendirildi: %s';
+$lang['Albums automatically sorted'] = 'Albümler otomatik olarak sıralandı';
+$lang['All %d photos are selected'] = 'Bütün %d resimler seçildi';
+$lang['Apply action'] = 'Eylemi onayla';
+$lang['automatic order'] = 'otomatik sıralama';
+$lang['Batch Manager'] = 'Küme Yöneticisi';
+$lang['Choose an action'] = 'Eylem seçiniz';
+$lang['Delete orphan tags'] = 'etkisiz etiketleri sil';
+$lang['delete photo'] = 'resimi sil';
+$lang['duplicates'] = 'kopyalar';
+$lang['include child albums'] = 'alt albümler dahil';
+$lang['Keep high definition'] = 'Yüksek tanımlı tutun';
+$lang['last import'] = 'son içe aktarma';
+$lang['manual order'] = 'el ile düzen';
+$lang['No photo in the current set.'] = 'bu sette resim yok.';
+$lang['No photo selected, %d photos in current set'] = 'Resim seçilmedi, %d bu setteki resimler';
+$lang['No photo selected, no action possible.'] = 'Resim seçilmedi, eylem imkansız.';
+$lang['on the %d selected photos'] = '%ds resimler seçildi';
+$lang['Orphan tags deleted'] = 'etkisiz etiketler silindi';
+$lang['Plugins'] = 'Eklentiler';
+$lang['predefined filter'] = 'filtre önceden tanımlanmış';
+$lang['Refresh photo set'] = 'Resim setini yenile';
+$lang['Remove all filters'] = 'Tüm filtreleri sil';
+$lang['remove author'] = 'yazarı sil';
+$lang['remove creation date'] = 'oluşturulma tarihini sil';
+$lang['remove this filter'] = 'Bu filtreyi sil';
+$lang['remove title'] = 'başlığı sil';
+$lang['Selection'] = 'Seçim';
+$lang['Set author'] = 'Yazar ayarla';
+$lang['Set creation date'] = 'oluşturma tarihi ayarla';
+$lang['Set title'] = 'Başlığı ayarla';
+$lang['The high definition image quality must be a number between %d and %d'] = 'yüksek tanımlı resim kalitesi %d ve %d arasında bir sayı olmalıdır';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'yüksek tanımlı resim yüksekliği %d ve %d arasında bir sayı olmalıdır';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'yüksek tanımlı resim genişliği %d ve %d arasında bir sayı olmalıdır';
+$lang['The whole page'] = 'Bütün sayfa';
+$lang['The whole set'] = 'Bütün set';
+$lang['Type here the author name'] = 'Yazar adını buraya yazın';
+$lang['Type here the title'] = 'Başlığı buraya yazın';
+$lang['Week starts on'] = 'Hafta başlangıcı';
+$lang['with no album'] = 'sıfır albüm ile';
+$lang['with no tag'] = 'sıfır etiket ile';
+$lang['with no virtual album'] = 'sıfır sanal albüm ile';
+$lang['You have %d orphan tags: %s.'] = '%d etkisiz etiketleriniz: %s.';
 ?>
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 9010)
+++ /trunk/language/tr_TR/common.lang.php	(revision 9011)
@@ -139,5 +139,4 @@
 $lang['All'] = 'Hepsi';
 $lang['display each day with photos, month per month'] = 'Ay AY her günün ürünlerini gösterir';
-$lang[''] = 'Şu tarihte listelenen ürünleri gösterir ';
 $lang['View'] = 'Görünüm';
 $lang['chronology_monthly_calendar'] = 'Aylık Takvim';
@@ -272,5 +271,4 @@
 $lang['Registration of %s'] = 'Tescil Eden: %s';
 $lang['Album: %s'] = 'Albüm: %s';
-$lang['Picture uploaded by %s'] = 'resimi Gönderen %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Kullanıcı için kötü statü "ziyaretçi", varsayılan statü kullanılıyor. Lütfen webmaster\'a bildirin';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Yönetici, webmaster ve özel kullanıcı bu metodu kullanamaz';
Index: /trunk/language/tr_TR/install.lang.php
===================================================================
--- /trunk/language/tr_TR/install.lang.php	(revision 9010)
+++ /trunk/language/tr_TR/install.lang.php	(revision 9011)
@@ -35,9 +35,9 @@
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Sunucu başarılı, ama veritabanına bağlantı imkansız';
 $lang['Can\'t connect to server'] = 'Sunucuya bağlanamadı';
-$lang['Database type'] = 'Database type';
+$lang['Database type'] = 'Veritabanı türü';
 $lang['The type of database your piwigo data will be store in'] = 'veritabanı türü Piwigo veri depolamak olacak';
 $lang['Host'] = 'Host';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
-$lang['User'] = 'User';
+$lang['User'] = 'Kullanıcı';
 $lang['user login given by your host provider'] = 'host sağlağıcı tarafından size verilen kullanıcı girişi';
 $lang['Password'] = 'Şifre';
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 9010)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 9011)
@@ -548,5 +548,6 @@
 	'Webmaster',
 	'IP: %s',
-	'',
+	'Host',
+	'localhost, sql.multimania.com, toto.freesurf.fr',
 	),
 	