Index: /extensions/user_tags/BUGS
===================================================================
--- /extensions/user_tags/BUGS	(revision 9036)
+++ /extensions/user_tags/BUGS	(revision 9037)
@@ -1,4 +1,1 @@
-* plugin doesn't work with theses parameters :
-$conf['question_mark_in_urls'] = false; 
-$conf['php_extension_in_urls'] = false; 
-$conf['tag_url_style'] = 'tag'; 
+* No bug reported
Index: /extensions/user_tags/CHANGELOG
===================================================================
--- /extensions/user_tags/CHANGELOG	(revision 9036)
+++ /extensions/user_tags/CHANGELOG	(revision 9037)
@@ -1,2 +1,10 @@
+User Tags 0.4.0 - 2011-02-01
+================================
+* Fix translation issue
+* Fix bugs with special configuration params :
+      - $conf['question_mark_in_urls'] = false; 
+      - $conf['php_extension_in_urls'] = false; 
+* Prepare piwigo release 2.2 (func_combine_script instead of func_known_script)
+
 User Tags 0.3.5 - 2010-09-18
 ================================
Index: /extensions/user_tags/MANIFEST
===================================================================
--- /extensions/user_tags/MANIFEST	(revision 9036)
+++ /extensions/user_tags/MANIFEST	(revision 9037)
@@ -1,5 +1,4 @@
 user_tags/BUGS
 user_tags/imgs/edit.png
-user_tags/todo_viewtopic.php.html
 user_tags/MANIFEST
 user_tags/maintain.inc.php
@@ -26,4 +25,9 @@
 user_tags/language/en_UK/description.txt
 user_tags/language/en_UK/plugin.lang.php
+user_tags/language/lv_LV/help/readme.html
+user_tags/language/lv_LV/help/index.php
+user_tags/language/lv_LV/index.php
+user_tags/language/lv_LV/description.txt
+user_tags/language/lv_LV/plugin.lang.php
 user_tags/language/it_IT/help/readme.html
 user_tags/language/it_IT/help/index.php
@@ -42,6 +46,4 @@
 user_tags/language/hu_HU/plugin.lang.php
 user_tags/CHANGELOG
-user_tags/test/#all_test.php#
-user_tags/test/all_test.php
 user_tags/include/constants.inc.php
 user_tags/include/t4u_content.class.php
@@ -49,27 +51,4 @@
 user_tags/include/t4u_config.class.php
 user_tags/include/t4u_admin_action.inc.php
-user_tags/todo_viewtopic.php_fichiers/hu.gif
-user_tags/todo_viewtopic.php_fichiers/de.gif
-user_tags/todo_viewtopic.php_fichiers/es.gif
-user_tags/todo_viewtopic.php_fichiers/t_mini-b.png
-user_tags/todo_viewtopic.php_fichiers/image_upload.css
-user_tags/todo_viewtopic.php_fichiers/cn.gif
-user_tags/todo_viewtopic.php_fichiers/it.gif
-user_tags/todo_viewtopic.php_fichiers/ru.gif
-user_tags/todo_viewtopic.php_fichiers/Lithium.css
-user_tags/todo_viewtopic.php_fichiers/fr.gif
-user_tags/todo_viewtopic.php_fichiers/piwigo_org_logo.png
-user_tags/todo_viewtopic.php_fichiers/4442.png
-user_tags/todo_viewtopic.php_fichiers/jquery-1.js
-user_tags/todo_viewtopic.php_fichiers/pl.gif
-user_tags/todo_viewtopic.php_fichiers/facebook.png
-user_tags/todo_viewtopic.php_fichiers/en.gif
-user_tags/todo_viewtopic.php_fichiers/tipTip.css
-user_tags/todo_viewtopic.php_fichiers/913.gif
-user_tags/todo_viewtopic.php_fichiers/nl.gif
-user_tags/todo_viewtopic.php_fichiers/header.css
-user_tags/todo_viewtopic.php_fichiers/jquery_002.js
-user_tags/todo_viewtopic.php_fichiers/ga.js
-user_tags/todo_viewtopic.php_fichiers/jquery.js
 user_tags/admin.php
 user_tags/COPYING
Index: /extensions/user_tags/include/t4u_admin_action.inc.php
===================================================================
--- /extensions/user_tags/include/t4u_admin_action.inc.php	(revision 9036)
+++ /extensions/user_tags/include/t4u_admin_action.inc.php	(revision 9037)
@@ -3,5 +3,5 @@
 // | User Tags  - a plugin for Piwigo                                      |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -36,5 +36,5 @@
   if (isset($_SERVER['HTTP_X_REQUESTED_WITH'])) {
     header("Content-Type: application/json");
-    $message['info'] = l10n('Tags updated');
+    $message['info'] = 'Tags updated';
 
     echo json_encode($message);
Index: /extensions/user_tags/include/t4u_config.class.php
===================================================================
--- /extensions/user_tags/include/t4u_config.class.php	(revision 9036)
+++ /extensions/user_tags/include/t4u_config.class.php	(revision 9037)
@@ -3,5 +3,5 @@
 // | User Tags  - a plugin for Piwigo                                      |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -100,6 +100,13 @@
   
   public function getActionUrl($base_url, $action) {
+    global $conf;
+
     $url = $base_url;
-    $url .= '&action='.$action;           
+    if ($conf['question_mark_in_urls']) {
+      $url .= '&';
+    } else {
+      $url .= '?';      
+    }
+    $url .= 'action='.$action;           
 
     return $url;
Index: /extensions/user_tags/include/t4u_content.class.php
===================================================================
--- /extensions/user_tags/include/t4u_content.class.php	(revision 9036)
+++ /extensions/user_tags/include/t4u_content.class.php	(revision 9037)
@@ -3,5 +3,5 @@
 // | User Tags  - a plugin for Piwigo                                      |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -33,9 +33,19 @@
     }
 
-    $template->func_known_script(array('id' => 'jquery',
-				       'src' => get_root_url().'themes/default/js/jquery.packed.js'
-				       ),
-				 $template->smarty
-				 );
+    load_language('plugin.lang', T4U_PLUGIN_LANG);
+
+    if (version_compare(PHPWG_VERSION, '2.2', '>=') || (PHPWG_VERSION=='Colibri')) {
+      $template->func_combine_script(array('id' => 'jquery',
+					   'path' => 'themes/default/js/jquery.min.js'
+					   ),
+				     $template->smarty
+				     );
+    } else {
+      $template->func_known_script(array('id' => 'jquery',
+					 'src' => get_root_url().'themes/default/js/jquery.packed.js'
+					 ),
+				   $template->smarty
+				   );
+    }
 
     $template->assign('T4U_JS', T4U_JS);
Index: /extensions/user_tags/init.php
===================================================================
--- /extensions/user_tags/init.php	(revision 9036)
+++ /extensions/user_tags/init.php	(revision 9037)
@@ -3,5 +3,5 @@
 // | User Tags  - a plugin for Piwigo                                      |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -29,6 +29,4 @@
 include_once T4U_PLUGIN_ROOT . "/include/t4u_config.class.php";
 
-load_language('plugin.lang', T4U_PLUGIN_LANG);
-
 $plugin_config = new t4u_Config(T4U_PLUGIN_ROOT, T4U_PLUGIN_NAME);
 $plugin_config->load_config();
Index: /extensions/user_tags/js/jquery.addtags.js
===================================================================
--- /extensions/user_tags/js/jquery.addtags.js	(revision 9036)
+++ /extensions/user_tags/js/jquery.addtags.js	(revision 9037)
@@ -1,1 +1,1 @@
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('(4($){$.l=4(x,3){$(x).p(\'\');$(x).V().t(3).19(1b).1a(11)};$.12.l=4(3){8.10(4(){Z $.l(8,3)})};P 8})(W);4 y(3){b d=\'X: \';$(\'#2-w\').A(\'2-7\').O(\'7\',\'7\');c(3.I){d=\'<9 v="Y">\'+3.I+\'</9>\'}13 c(3.L){d=\'<9 v="14">\'+3.L+\'</9>\'}c(d!=\'\'){$(\'#m q.f\').t(\'<9 6="M-G"></9>\');$(\'#M-G\').l(d)}}4 s(18){$(\'#2-w\').15(\'2-7\').16(\'7\');P}$(4(){b 5=\'<k 17="\'+a[\'z\']+\'" 1c="N" 6="2-B-k">\';5+=\'<D 6="g" n="g">\';5+=Q;5+=\'</D>\';5+=\'<o 6="2-U-6" u="K" n="T" f="\'+a[\'R\']+\'">\';5+=\'<o 6="2-J" u="K" n="J" f="\'+a[\'S\']+\'">\';5+=\'<o 6="2-w" u="F" 7="7" v="2-7" f="\'+j[\'1u\']+\'">\';5+=\'</k>\';c($(\'#m\').1A>0){$(\'#m q.1B\').t(\'<1z 6="2-1y" 1w="\'+a[\'1x\']+\'" 1D="\'+j[\'E\']+\'">\').O(\'1d\',j[\'E\']).A(\'2-1I\').C(4(){$(8).1K(\'C\');b r=$(8).1J().1H(\'q.f\');b 1E=r.p();r.p(5);$(\'#g\').1F({1C:a[\'1v\'],1j:j[\'1k\'],1i:H,1h:H,1e:h,1f:h,1g:h,1l:s,1m:s,1s:1t,1r:h});$(\'#2-B-k\').F(4(e){b i=$(8).1q();c(i.1n(\'g%1o%1p=\')==-1){i+=\'&g=\'}$.N(a[\'z\'],i,4(3){y(3)});e.1G()})})}});',62,109,'||t4u|data|function|newRow|id|disabled|this|div|path|var|if|message||value|tags|true|serialized_form|vocab|form|flashMessage|Tags|name|input|html|td|tags_value|t4u_onchange|append|type|class|update|source|t4u_form_sucess|t4u_add_script|addClass|addtags|click|select|click_to_add_tags|submit|messages|false|info|referer|hidden|error|flash|post|attr|return|related_tags|t4u_image_id|t4u_referer|image_id|image|hide|jQuery|Message|infos|new|each|3000|fn|else|errors|removeClass|removeAttr|action|item|fadeIn|fadeOut|500|method|title|filter_hide|firstselected|filter_selected|filter_case|cache|complete_text|start_to_type|onremove|onselect|lastIndexOf|5B|5D|serialize|newel|maxitems|100|update_tags|t4u_get_script|src|t4u_edit_icon|edit|img|length|label|json_url|alt|old_tags_value|fcbkcomplete|preventDefault|find|clickable|parent|unbind'.split('|'),0,{}))
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('(4($){$.l=4(u,3){$(u).n(\'\');$(u).Y().m(3).13(Q).X(1c)};$.R.l=4(3){9.T(4(){U $.l(9,3)})};K 9})(15);4 D(3){c h=\'12: \';$(\'#2-r\').C(\'2-7\').y(\'7\',\'7\');g(3.A){h=\'<a t="S">\'+8[3.A]+\'</a>\'}W g(3.M){h=\'<a t="Z">\'+8[3.M]+\'</a>\'}g(h!=\'\'){$(\'#o p.f\').m(\'<a 6="P-O"></a>\');$(\'#P-O\').l(h)}}4 x(1a){$(\'#2-r\').11(\'2-7\').17(\'7\');K}$(4(){c 5=\'<i 14="\'+b[\'L\']+\'" 16="F" 6="2-G-i">\';5+=\'<B 6="d" q="d">\';5+=1b;5+=\'</B>\';5+=\'<v 6="2-19-6" s="I" q="18" f="\'+b[\'10\']+\'">\';5+=\'<v 6="2-H" s="I" q="H" f="\'+b[\'V\']+\'">\';5+=\'<v 6="2-r" s="E" 7="7" t="2-7" f="\'+8[\'1u\']+\'">\';5+=\'</i>\';g($(\'#o\').1A>0){$(\'#o p.1B\').m(\'<1z 6="2-1y" 1w="\'+b[\'1x\']+\'" 1D="\'+8[\'z\']+\'">\').y(\'1d\',8[\'z\']).C(\'2-1I\').J(4(){$(9).1K(\'J\');c w=$(9).1J().1H(\'p.f\');c 1E=w.n();w.n(5);$(\'#d\').1F({1C:b[\'1v\'],1j:8[\'1k\'],1i:N,1h:N,1e:j,1f:j,1g:j,1l:x,1m:x,1s:1t,1r:j});$(\'#2-G-i\').E(4(e){c k=$(9).1q();g(k.1n(\'d%1o%1p=\')==-1){k+=\'&d=\'}$.F(b[\'L\'],k,4(3){D(3)});e.1G()})})}});',62,109,'||t4u|data|function|newRow|id|disabled|vocab|this|div|path|var|tags||value|if|message|form|true|serialized_form|flashMessage|append|html|Tags|td|name|update|type|class|source|input|tags_value|t4u_onchange|attr|click_to_add_tags|info|select|addClass|t4u_form_sucess|submit|post|addtags|referer|hidden|click|return|t4u_add_script|error|false|messages|flash|500|fn|infos|each|new|t4u_referer|else|fadeOut|hide|errors|t4u_image_id|removeClass|Message|fadeIn|action|jQuery|method|removeAttr|image_id|image|item|related_tags|3000|title|filter_hide|firstselected|filter_selected|filter_case|cache|complete_text|start_to_type|onremove|onselect|lastIndexOf|5B|5D|serialize|newel|maxitems|100|update_tags|t4u_get_script|src|t4u_edit_icon|edit|img|length|label|json_url|alt|old_tags_value|fcbkcomplete|preventDefault|find|clickable|parent|unbind'.split('|'),0,{}))
Index: /extensions/user_tags/main.inc.php
===================================================================
--- /extensions/user_tags/main.inc.php	(revision 9036)
+++ /extensions/user_tags/main.inc.php	(revision 9037)
@@ -3,5 +3,5 @@
 // | User Tags  - a plugin for Piwigo                                      |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 /*
 Plugin Name: User Tags
-Version: 0.3.5
+Version: 0.4.0
 Description: Allow visitors to add tag to images
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=441
Index: /extensions/user_tags/template/add_tags.tpl
===================================================================
--- /extensions/user_tags/template/add_tags.tpl	(revision 9036)
+++ /extensions/user_tags/template/add_tags.tpl	(revision 9037)
@@ -21,4 +21,5 @@
 vocab['start_to_type'] = "{'Start to type'|@translate}...";
 vocab['update_tags'] = "{'Update tags'|@translate}";
+vocab['Tags updated'] = "{'Tags updated'|@translate}";
 </script>
 <script type="text/javascript" src="{$ROOT_URL}{$T4U_JS}/jquery.addtags.js"></script>