Index: /extensions/PWG_Stuffs/language/tr_TR/description.txt
===================================================================
--- /extensions/PWG_Stuffs/language/tr_TR/description.txt	(revision 9040)
+++ /extensions/PWG_Stuffs/language/tr_TR/description.txt	(revision 9040)
@@ -0,0 +1,1 @@
+Galerinize modül ekleyiniz
Index: /extensions/PWG_Stuffs/language/tr_TR/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/tr_TR/index.php	(revision 9040)
+++ /extensions/PWG_Stuffs/language/tr_TR/index.php	(revision 9040)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/tr_TR/plugin.lang.php	(revision 9040)
+++ /extensions/PWG_Stuffs/language/tr_TR/plugin.lang.php	(revision 9040)
@@ -0,0 +1,164 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Modül yönetimi';
+$lang['stuffs_add_mod'] = 'Bir modül ekle';
+$lang['stuffs_edit_mod'] = 'Modül düzenle';
+
+$lang['stuffs_module_title'] = 'Modül başlığı';
+$lang['stuffs_desc'] = 'Açıklama';
+$lang['stuffs_only_for_admin'] = '(sadece yönetim paneli için)';
+$lang['stuffs_type'] = 'Modül türü';
+$lang['stuffs_position'] = 'Pozisyon';
+$lang['stuffs_id_ligne'] = 'ID hattı';
+$lang['stuffs_width'] = 'Genişlik';
+$lang['stuffs_action'] = 'Eylemler';
+$lang['stuffs_edit'] = 'Modülü düzenle';
+$lang['stuffs_delete'] = 'Modülü sil';
+$lang['stuffs_confirm_delete'] = '%s modülünü silmek istediğinizden emin misiniz?';
+$lang['stuffs_main_block'] = 'Ana blok';
+
+$lang['stuffs_add_module'] = 'Yeni modül ekle';
+$lang['stuffs_module_config'] = 'Modül Yapılandırma';
+$lang['stuffs_visual_config'] = 'Yapılandırma göster';
+$lang['stuffs_module_options'] = 'Modül seçenekleri';
+$lang['stuffs_authorized_group'] = 'Yetkili gruplar';
+$lang['stuffs_authorized_users'] = 'Yetkili kullanıcılar';
+$lang['stuffs_public_module'] = '(Genel modül için boş tutun)';
+$lang['stuffs_show_title'] = 'Modül başlığını göster';
+$lang['stuffs_show_module_on'] = 'Modül göster :';
+$lang['stuffs_show_on_home'] = 'Ana sayfada';
+$lang['stuffs_show_on_cats'] = 'Tüm kategorilerdeki sayfalarda';
+$lang['stuffs_show_on_pictures'] = 'Resim sayfalarında';
+$lang['stuffs_no_options'] = 'Bu modül için seçenekler yok';
+$lang['Hide on home page'] = 'Ana sayfada gizle';
+
+//Bilgi mesajları
+$lang['stuffs_order_saved'] = 'Düzen başarıyla kaydedildi.';
+
+
+//Hata mesajları
+$lang['stuffs_error_no_mod_selected'] = 'Bir modül seçmediniz.';
+$lang['stuffs_no_name'] = 'Modül için bir isim belirtmelisiniz';
+
+//------------------------------------------------------------------------------
+//                           Son Yorumlar Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Son yorumlar';
+$lang['module_desc_lastcoms'] = 'Son yorumları göster';
+
+$lang['lastcoms_no_nb_comments'] = 'Yorum sayısı belirtmelisiniz.';
+$lang['lastcoms_config'] = 'Konfigürasyon';
+$lang['lastcoms_nb_comments'] = 'Gösterilecek yorum sayısı';
+$lang['lastcoms_show_buttons'] = 'Admin buttonlarını göster';
+$lang['lastcoms_dim'] = 'Küçük resim boyutu';
+$lang['lastcoms_width'] = 'Azami genişlik';
+$lang['lastcoms_height'] = 'Azami yükseklik';
+$lang['lastcoms_nb_cadres'] = 'Çizgi ile çerçeve sayısı';
+$lang['lastcoms_taille_cadres'] = 'Çerçeve yüksekliği';
+
+
+//------------------------------------------------------------------------------
+//                            Oturum Açma Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Giriş';
+$lang['module_desc_logon'] = 'Giriş bloğunu göster';
+
+$lang['logon_remove_menubar_block'] = '"Hızlı Bağlan" bloğunu menüden sil';
+
+
+//------------------------------------------------------------------------------
+//                           Kişisel Modül
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Kişisel blok';
+$lang['module_desc_personal'] = 'Kişisel bloğu (like an edito) göster';
+
+$lang['personal_content'] = 'içerik';
+
+
+//------------------------------------------------------------------------------
+//                            Etiket Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Etiketler';
+$lang['module_desc_tags'] = 'Galeri etiketlerini göster';
+
+$lang['stuffs_tags_default_display'] = 'Etiketleri göster';
+$lang['stuffs_tags_cloud'] = 'Bulut etiketleri';
+$lang['stuffs_tags_letters'] = 'Gruplar harf sıralaması';
+$lang['stuffs_tags_cumulus'] = 'Cumulus modunu kullan (eklenti <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> kurulmus olmalıdır)';
+
+
+//------------------------------------------------------------------------------
+//                            Piclenswall Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3D duvarı';
+$lang['module_desc_piclenswall'] = 'Piclens 3D duvarında göster (eklenti <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> kurulmus olmalıdır)';
+
+$lang['piclenswall_height'] = 'Duvar yüksekliği';
+$lang['piclenswall_background_color'] = 'Arka plan rengi';
+$lang['piclenswall_black'] = 'Siyah';
+$lang['piclenswall_white'] = 'Beyaz';
+$lang['piclenswall_info'] = 'Duvar düzgün çalışıyor';
+$lang['piclenswall_info_piclens'] = 'Eklenti <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclensi</a> kurmus ve aktif etmis olmalısınız.';
+$lang['piclenswall_info_crossdomain'] = '<a href="%s">crossdomain.xml</a> dosyasını site root bölümüne kopyalamalısınız (veya varolan dosyayı düzenleyiniz).';
+$lang['piclenswall_info_param'] = '3D Duvar ayarları <b>Cooliris-piclens/b> eklenti yapılandırma sayfasında düzenlenmelidir.';
+
+//------------------------------------------------------------------------------
+//                            En çok ziyaret edilen Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'En çok ziyaret edilen';
+$lang['module_desc_mostvisited'] = 'Galeride veya bir kategoride gösterilecek olan en çok ziyaret edilen resim sayısı x';
+
+$lang['stuffs_mv_nb_images'] = 'Maximum number of pictures to display';
+$lang['stuffs_mv_category_display'] = 'Display on categories pages';
+$lang['stuffs_mv_all_cats'] = 'Tüm kategoriler';
+$lang['stuffs_mv_w_thumb'] = 'Küçük resimler ile sadece kategoriler';
+$lang['stuffs_mv_wo_thumb'] = 'Küçük resimler hariç sadece kategoriler';
+$lang['stuffs_mv_selected_cats'] = 'Sadece seçilen kategoriler';
+
+$lang['stuffs_mv_cat_selection'] = 'Kategori seçimi';
+$lang['stuffs_mv_hold_ctrl'] = 'CTRL\'ye basılı tutunuz';
+
+//------------------------------------------------------------------------------
+//                            En çok derecelendirilen Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'En çok derecelendirilen';
+$lang['module_desc_bestrated'] = 'Galeride veya bir kategoride gösterilecek olan en iyi derecelendirilen resim sayısı x';
+
+//------------------------------------------------------------------------------
+//                            En son resimler Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'En son resimler';
+$lang['module_desc_recent'] = 'Galeride veya bir kategoride gösterilecek olan en son eklenen resim sayısı x (eğer varsa)';
+
+//------------------------------------------------------------------------------
+//                            Rastgele resimler Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Rastgele resimler';
+$lang['module_desc_random'] = 'Galeride veya bir kategoride gösterilecek olan rastgele seçilen resim sayısı x';
+
+//------------------------------------------------------------------------------
+//                            Alıntı Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Rastgele alıntı';
+$lang['module_desc_citation'] = 'Rastgele bir alıntı göster';
+$lang['module_Citation_lang'] = 'Dil';
+$lang['module_Citation_code'] = 'İlgili Kod';
+
+//------------------------------------------------------------------------------
+//                            Öne Çıkan Resimler Modülü
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Öne çıkan resimler';
+$lang['module_desc_featuredphotos'] = 'Site yöneticisinin favori resimlerini göster';
+
+?>