Index: /extensions/PWG_Stuffs/language/pt_PT/description.txt
===================================================================
--- /extensions/PWG_Stuffs/language/pt_PT/description.txt	(revision 9042)
+++ /extensions/PWG_Stuffs/language/pt_PT/description.txt	(revision 9042)
@@ -0,0 +1,1 @@
+Insira módulos na sua galeria
Index: /extensions/PWG_Stuffs/language/pt_PT/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/pt_PT/index.php	(revision 9042)
+++ /extensions/PWG_Stuffs/language/pt_PT/index.php	(revision 9042)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/pt_PT/plugin.lang.php	(revision 9042)
+++ /extensions/PWG_Stuffs/language/pt_PT/plugin.lang.php	(revision 9042)
@@ -0,0 +1,165 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Gestão de Módulos';
+$lang['stuffs_add_mod'] = 'Adicionar um módulo';
+$lang['stuffs_edit_mod'] = 'Editar módulo';
+
+$lang['stuffs_module_title'] = 'Título do Módulo';
+$lang['stuffs_desc'] = 'Descrição';
+$lang['stuffs_only_for_admin'] = '(apenas para o Painel Administrativo)';
+$lang['stuffs_type'] = 'Tipo de Módulo';
+$lang['stuffs_position'] = 'Posição';
+$lang['stuffs_id_ligne'] = 'ID da linha';
+$lang['stuffs_width'] = 'Largura';
+$lang['stuffs_action'] = 'Acções';
+$lang['stuffs_edit'] = 'Modificar módulo';
+$lang['stuffs_delete'] = 'Apagar módulo';
+$lang['stuffs_confirm_delete'] = 'Tem a certeza que deseja apagar o módulo %s?';
+$lang['stuffs_main_block'] = 'Bloco Principal';
+
+$lang['stuffs_add_module'] = 'Adicionar Novo Módulo';
+$lang['stuffs_module_config'] = 'Configurar Módulo';
+$lang['stuffs_visual_config'] = 'Configurar Visualização';
+$lang['stuffs_module_options'] = 'Opções do Módulo';
+$lang['stuffs_authorized_group'] = 'Grupos Autorizados';
+$lang['stuffs_authorized_users'] = 'Utilizadores Autorizados';
+$lang['stuffs_public_module'] = '(Deixar em branco para módulos públicos)';
+$lang['stuffs_show_title'] = 'Mostrar título do módulo';
+$lang['stuffs_show_module_on'] = 'Mostrar Módulo :';
+$lang['stuffs_show_on_home'] = 'Na Página Principal';
+$lang['stuffs_show_on_cats'] = 'Em todas as páginas de categoria';
+$lang['stuffs_show_on_pictures'] = 'Nas páginas de Imagem';
+$lang['stuffs_no_options'] = 'Este módulo não tem opções';
+$lang['Hide on home page'] = 'Esconder na página principal';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Ordem guardada com sucesso.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Não seleccionou um módulo.';
+$lang['stuffs_no_name'] = 'Deverá especificar um nome para o módulo';
+
+//------------------------------------------------------------------------------
+//                            Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Últimos Comentários';
+$lang['module_desc_lastcoms'] = 'Mostrar comentários mais recentes';
+
+$lang['lastcoms_no_nb_comments'] = 'Deverá especificar o número de comentários.';
+$lang['lastcoms_config'] = 'Configuração';
+$lang['lastcoms_nb_comments'] = 'Número de comentários a mostrar';
+$lang['lastcoms_show_buttons'] = 'Mostrar Botões de Administração';
+$lang['lastcoms_dim'] = 'Tamanho das miniaturas';
+$lang['lastcoms_width'] = 'Largura máxima';
+$lang['lastcoms_height'] = 'Altura máxima';
+$lang['lastcoms_nb_cadres'] = 'Número de molduras por linha';
+$lang['lastcoms_taille_cadres'] = 'Altura da moldura';
+
+
+//------------------------------------------------------------------------------
+//                            Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Iniciar Sessão';
+$lang['module_desc_logon'] = 'Mostrar bloco de Início de Sessão';
+
+$lang['logon_remove_menubar_block'] = 'Remover bloco de "Ligação Rápida" da barra de menú';
+
+
+//------------------------------------------------------------------------------
+//                            Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Bloco Pessoal';
+$lang['module_desc_personal'] = 'Mostrar bloco Pessoal (como um editor)';
+
+$lang['personal_content'] = 'Conteúdo';
+
+
+//------------------------------------------------------------------------------
+//                            Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Etiquetas';
+$lang['module_desc_tags'] = 'Mostrar Etiquetas da galeria';
+
+$lang['stuffs_tags_default_display'] = 'Mostrar Etiquetas como';
+$lang['stuffs_tags_cloud'] = 'Núvem de Etiquetas';
+$lang['stuffs_tags_letters'] = 'Agrupar por letras';
+$lang['stuffs_tags_cumulus'] = 'Usar modo cumulus (o plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> deverá estar instalado)';
+
+
+//------------------------------------------------------------------------------
+//                            Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Parede 3D Piclens';
+$lang['module_desc_piclenswall'] = 'Mostrar Parede 3D Piclens (o plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> deverá estar instalado)';
+
+$lang['piclenswall_height'] = 'Altura da parede';
+$lang['piclenswall_background_color'] = 'Cor de Fundo';
+$lang['piclenswall_black'] = 'Preto';
+$lang['piclenswall_white'] = 'Branco';
+$lang['piclenswall_info'] = 'Para que a parede 3D funcione na perfeição';
+$lang['piclenswall_info_piclens'] = 'Deverá instalar e activar o plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a>.';
+$lang['piclenswall_info_crossdomain'] = 'Deverá copiar o ficheiro <a href="%s">crossdomain.xml</a> para a raiz da sua instalação Piwigo (ou modificar o ficheiro existente).';
+$lang['piclenswall_info_param'] = 'As opções da Parede 3D deverão ser modificadas na página de configuração do plugin <b>Cooliris-piclens/b>.';
+
+//------------------------------------------------------------------------------
+//                            Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Mais Vistas';
+$lang['module_desc_mostvisited'] = 'Mostrar as x fotos mais vistas na galeria ou numa categoria';
+
+$lang['stuffs_mv_nb_images'] = 'Número máximo de fotos a mostrar';
+$lang['stuffs_mv_category_display'] = 'Mostrar nas páginas de categoria';
+$lang['stuffs_mv_all_cats'] = 'Em todoas as categorias';
+$lang['stuffs_mv_w_thumb'] = 'Apenas em categorias com miniaturas';
+$lang['stuffs_mv_wo_thumb'] = 'Apenas em categorias com miniaturas';
+$lang['stuffs_mv_selected_cats'] = 'Apenas nas categorias seleccionadas';
+
+$lang['stuffs_mv_cat_selection'] = 'Seleccionar categorias';
+$lang['stuffs_mv_hold_ctrl'] = 'Pressione CTRL sem largar enquanto clica nas categorias para seleccionar várias';
+
+//------------------------------------------------------------------------------
+//                            Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Mais Votadas';
+$lang['module_desc_bestrated'] = 'Mostrar as x fotos mais votadas na galeria ou numa categoria';
+
+//------------------------------------------------------------------------------
+//                            Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Fotos Recentes';
+$lang['module_desc_recent'] = 'Mostrar as x fotos mais recentes na galeria ou numa categoria (se existirem)';
+
+//------------------------------------------------------------------------------
+//                            Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Fotos Aleatórias';
+$lang['module_desc_random'] = 'Mostrar x fotos aleatórias na galeria ou numa categoria';
+
+//------------------------------------------------------------------------------
+//                            Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Citação Aleatória';
+$lang['module_desc_citation'] = 'Mostrar uma citação aleatória';
+$lang['module_Citation_lang'] = 'Linguagem';
+$lang['module_Citation_code'] = 'Código Relacionado';
+
+//------------------------------------------------------------------------------
+//                            Module Featured Photos
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Fotos em Destaque';
+$lang['module_desc_featuredphotos'] = 'Mostrar as fotos favoritas do webmaster';
+
+
+?>