Index: /extensions/gvideo/language/pt_PT/description.txt
===================================================================
--- /extensions/gvideo/language/pt_PT/description.txt	(revision 9050)
+++ /extensions/gvideo/language/pt_PT/description.txt	(revision 9050)
@@ -0,0 +1,1 @@
+Adiciona vídeos de Google Video, Dailymotion, Youtube, Wideo, Vimeo or Wat.
Index: /extensions/gvideo/language/pt_PT/index.php
===================================================================
--- /extensions/gvideo/language/pt_PT/index.php	(revision 9050)
+++ /extensions/gvideo/language/pt_PT/index.php	(revision 9050)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gvideo/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/pt_PT/plugin.lang.php	(revision 9050)
+++ /extensions/gvideo/language/pt_PT/plugin.lang.php	(revision 9050)
@@ -0,0 +1,46 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Configuração';
+$lang['py_addvideo'] = 'Adicionar um vídeo';
+$lang['py_filename'] = 'Nome do ficheiro';
+$lang['py_url'] = 'URL do vídeo';
+$lang['py_parent'] = 'Álbum Principal';
+$lang['py_thumb'] = 'Miniatura';
+$lang['py_no_thumb'] = 'Sem miniatura';
+$lang['py_thumb_from_server'] = 'Escolher miniatura do servidor';
+$lang['py_thumb_from_user'] = 'Enviar a sua miniatura:';
+$lang['py_add_band'] = 'Adicionar barras nas laterais da miniatura';
+$lang['py_thumb_resize'] = 'Redimensionar a miniatura';
+$lang['py_width'] = 'Largura';
+$lang['py_height'] = 'Altura';
+$lang['py_start'] = 'Início do vídeo';
+$lang['py_*'] = 'Campo obrigatório';
+$lang['py_autostart'] = 'Início automático';
+$lang['py_quality'] = 'Qualidade';
+$lang['py_playermode'] = 'Modo do Leitor';
+
+
+// Infobulles
+$lang['pybulle_reference'] = "Cole aqui a ligação do vídeo.<br>Pode usar GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo or Wat. Exemplos:<br><br>- http://video.google.fr/videoplay?docid=4600755234172037942<br>- http://www.youtube.com/watch?v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys_doorway<br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Escolha o pinto de início (em segundos) do vídeo.<br>Esta opção apenas pode ser usada com GoogleVideo.";
+$lang['pybulle_categorie'] = "Álbum onde o ficheiro será criado: apenas álbums físicos estão listados. Se desejar associar este ficheiro a um álbum virtual terá que o fazer posteriormente.";
+$lang['pybulle_miniature'] = "Pode escolher uma miniatura alojada no servidor. Po defeito as miniaturas têem um tamanho de 320x240 no Google Video, 320x240 no Dailymotion, 130x97 no Youtube, 154x114 no Wideo e 200x150 no Vimeo.<br><br> Alternativamente pode fazer upload de uma miniatura.<br><br> Em qualquer dos casos poderá mudar as dimensões da miniatura.";
+
+//Info messages or error
+$lang['py_error1'] = 'Sítio local não existente! Impossível criar ficheiro de vídeo.';
+$lang['py_error2'] = 'Impossível salvar. Não preencheu o formulário correctamente.';
+$lang['py_error3'] = 'Deverá preencher os campos obrigatórios *';
+$lang['py_error5'] = 'URL errado!';
+$lang['py_error6'] = 'O ficheiro "%s" já existe.';
+$lang['py_error7'] = 'Impossível escrever ficheiro "%s"';
+$lang['py_error8'] = 'Por favor verifique se a pasta %s tem permissões de escrita (chmod 777).';
+$lang['py_error9'] = 'Erro ao enviar ou redimensionar miniatura.';
+$lang['py_error11'] = 'Já existe uma miniatura com o mesmo nome (%s)';
+$lang['py_error12'] = 'Campo "Miniatura" não preenchido : miniatura não enviada.';
+$lang['py_info2'] = 'Miniatura enviada com sucesso';
+$lang['py_info3'] = 'Vídeo adicionado com successo';
+$lang['py_info4'] = 'Configuração guardada.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Ver vídeo</a>.';
+
+?>