Index: /extensions/GrumPluginClasses/language/pt_PT/description.txt
===================================================================
--- /extensions/GrumPluginClasses/language/pt_PT/description.txt	(revision 9053)
+++ /extensions/GrumPluginClasses/language/pt_PT/description.txt	(revision 9053)
@@ -0,0 +1,1 @@
+Classes partilhadas entre extensões
Index: /extensions/GrumPluginClasses/language/pt_PT/index.php
===================================================================
--- /extensions/GrumPluginClasses/language/pt_PT/index.php	(revision 9053)
+++ /extensions/GrumPluginClasses/language/pt_PT/index.php	(revision 9053)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GrumPluginClasses/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/GrumPluginClasses/language/pt_PT/plugin.lang.php	(revision 9053)
+++ /extensions/GrumPluginClasses/language/pt_PT/plugin.lang.php	(revision 9053)
@@ -0,0 +1,18 @@
+<?php
+$lang['Module'] = 'Módulo';
+$lang['Version'] = 'Versão';
+$lang['List of shared modules'] = 'Lista de módulos partilhados';
+$lang['List of installed plugins using Grum Plugin Classes'] = 'Lista de Extensões instaladas que usam as Classes de Extensão Grum';
+$lang['Plugin'] = 'Extensão';
+$lang['GPC required'] = 'GPC requerido';
+$lang['Installed'] = 'Instalado';
+$lang['Infos'] = 'Infos';
+$lang['Some plugins are dependent on Grum Plugin Classes: before uninstall, you must first uninstall the plugins dependent'] = 'Algumas extensões dependem das Classes de Extensão Grum: antes de desinstalar deverá desactivar/desinstalar as extensões dependentes';
+
+// gpc > 3.3.0
+$lang['Public'] = 'Pública';
+$lang['Private'] = 'Privada';
+$lang['All the gallery'] = 'Toda a galeria';
+
+
+?>
Index: /extensions/GrumPluginClasses/language/pt_PT/rbuilder.lang.php
===================================================================
--- /extensions/GrumPluginClasses/language/pt_PT/rbuilder.lang.php	(revision 9053)
+++ /extensions/GrumPluginClasses/language/pt_PT/rbuilder.lang.php	(revision 9053)
@@ -0,0 +1,29 @@
+<?php
+
+$lang['gpc_rb_search_criterion']='Critérios de Pesquisa';
+$lang['gpc_rb_do_modify_request']='Modificar pesquisa';
+$lang['gpc_rb_result_query']='Resultados da pesquisa';
+$lang['gpc_rb_number_of_item_found']='Número de fotos encontradas';
+$lang['gpc_rb_add_criterions']='Critérios';
+$lang['gpc_rb_clear_criterions']='Repor critérios';
+$lang['gpc_rb_search']='Pesquisar';
+$lang['gpc_rb_textAND']='Todos os critérios deverão ser satisfeitos';
+$lang['gpc_rb_textOR']='Deverá seleccionar pelo menos um critério';
+
+$lang['gpc_manage_caddie'] = 'Gestão do Carrinho';
+$lang['gpc_add_caddie'] = 'O resultado da pesquisa foi adicionado ao carrinho';
+$lang['gpc_replace_caddie'] = 'O resultado da pesquisa substituiu os items do carrinho';
+$lang['gpc_the_caddie_is_updated'] = 'Carrinho Actualizado';
+$lang['gpc_something_is_wrong_on_the_server_side'] = 'Ocorreu um erro no servidor';
+
+// GPC 3.3.2
+$lang['There is no criteria ! At least, one criteria is required to do search...']="Nenhum critério seleccionado ! Deverá definir um critério para efectuar uma pesquisa...";
+
+$lang['gpc_help_edit_criteria']="Editar critério";
+$lang['gpc_help_delete_criteria']="Apagar critério";
+$lang['gpc_help_move_criteria']="Arrastar e largar para organizar condições de pesquisa";
+$lang['gpc_help_switch_condition']="Inverter a natureza da condição (AND &hArr; OR)";
+
+
+
+?>