Index: tensions/ContactForm/admin/cf_language.tab.php
===================================================================
--- /extensions/ContactForm/admin/cf_language.tab.php	(revision 9069)
+++ 	(revision )
@@ -1,55 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-check_status(ACCESS_ADMINISTRATOR);
-global $user;
-CF_Log::add_debug($user, 'USER');
-$all_languages = get_languages();
-$cf_languages = $cf_config->get_config_lang();
-$cf_item_selected='';
-if (isset($_POST['submit'])) {
-  
-  if (isset($_POST['cf_item']) and is_array($_POST['cf_item'])) {
-    $cf_languages->mass_update($_POST['cf_item']);
-  }
-
-  // Save config
-  $cf_config->save_config();
-  $saved = $cf_config->save_config();
-  if ($saved) {
-    CF_Log::add_message(l10n('cf_config_saved'));
-  } else {
-    CF_Log::add_error(l10n('cf_config_saved_with_errors'));
-  }
-  
-  if (isset($_POST['cf_selected'])) {
-    $cf_item_selected = trim(stripslashes($_POST['cf_selected'])); 
-  }
-}
-
-$config_values=array();
-
-foreach($cf_languages->get_keys() as $key) {
-  $current = array();
-  $current[CF_LANG_DEFAULT] = array(
-        'LANG'  => CF_LANG_DEFAULT,
-        'NAME'  => l10n('cf_default_lang'),
-        'VALUE' => $cf_languages->get_value(CF_LANG_DEFAULT, $key, false),
-      );
-  foreach($all_languages as $lang_key => $lang_name) {
-    $current[$lang_key] = array(
-        'LANG'  => $lang_key,
-        'NAME'  => $lang_name,
-        'VALUE' => $cf_languages->get_value($lang_key, $key, false),
-      );
-  }
-  $config_values[$key] = array(
-      'KEY' => l10n($key . '_label'),
-      'VALUE' => $current,
-    );
-}
-if ('' == $cf_item_selected) {
-  $cf_item_selected = 0;
-}
-$template->assign('CF_CONFIG_KEYS_SELECTED', $cf_item_selected);
-$template->assign('CF_CONFIG_VALUES', $config_values);
-?>
Index: /extensions/ContactForm/classes/cf_config.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_config.class.php	(revision 9069)
+++ /extensions/ContactForm/classes/cf_config.class.php	(revision 9070)
@@ -11,5 +11,4 @@
   protected $db_key = null;
   protected $db_comment = null;
-  protected $config_lang;
   
   /* ************************ */
@@ -39,22 +38,4 @@
   }
   
-  function get_config_lang() {
-    return $this->config_lang;
-  }
-  
-  function get_lang_value($item, $language=null) {
-    if (null == $language) {
-      global $user;
-      $language = $user['language'];
-    }
-    $value = $this->config_lang->get_value($language, $item);
-    if (empty($value)) {
-      cf_switch_to_default_lang();
-      $value = l10n($item);
-      cf_switch_back_to_user_lang();
-    }
-    return $value;
-  }
-  
   /* ************************ */
   /* ** Loading methods    ** */
@@ -62,5 +43,4 @@
   
   function load_config() {
-    $this->config_lang = null;
     if (null != $this->db_key) {
       $query = '
@@ -74,23 +54,11 @@
         if(is_string($row[0])) {
           $this->config_values = unserialize($row[0]);
-          if (isset($this->config_values['config_lang'])) {
-            $this->config_lang = $this->config_values['config_lang'];
-            $this->config_values['config_lang'] = null;
-          }
         }
       }
     }
-//    CF_Log::add_debug($this->config_lang, 'CF_Config::load_config');
     $this->load_default_config();
   }
   
   protected function load_default_config() {
-    if (null == $this->config_lang) {
-      $this->config_lang = new CF_Config_Lang();
-      $this->config_values['config_lang'] = null;
-      CF_Log::add_debug($this->config_lang,'CF_Config::load_default_config');
-    }
-    $this->config_lang->set_default_values();
-    $this->config_lang->update_keys();
     foreach (CF_Config::$default_config as $key => $value) {
       if (!isset($this->config_values[$key])) {
@@ -108,5 +76,7 @@
       return false;
     }
-    $this->config_values['config_lang'] = $this->config_lang;
+
+    unset($this->config_values['config_lang']);
+    
     if (!isset($this->config_values[CF_CFG_COMMENT])) {
       $this->set_value(CF_CFG_COMMENT, CF_CFG_DB_COMMENT);
Index: tensions/ContactForm/classes/cf_config_lang.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_config_lang.class.php	(revision 9069)
+++ 	(revision )
@@ -1,157 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-class CF_Config_Lang {
-  static $default_keys = array();
-  static protected $available_languages = null;
-  protected $defined_languages = array();
-  protected $added_languages = array();
-  protected $keys = array();
-  
-  static private function update_available_languages() {
-    CF_Config_Lang::$available_languages = array();
-    foreach(get_dirs(CF_LANGUAGE) as $language) {
-      array_push(CF_Config_Lang::$available_languages, $language);
-    }
-    return CF_Config_Lang::$available_languages;
-  }
-  static function get_available_languages() {
-    if (empty(CF_Config_Lang::$available_languages)) {
-      CF_Config_Lang::update_available_languages();
-    }
-    return CF_Config_Lang::$available_languages;
-  }
-  /* ************************ */
-  /* ** Constructor        ** */
-  /* ************************ */
-
-  function __construct() {
-    $this->init();
-  }
-
-  /* ************************ */
-  /* ** Accessors          ** */
-  /* ************************ */
-
-  function update_keys() {
-    $this->keys = array();
-    foreach($this->get_merged_values() as $language => $keys) {
-      foreach($keys as $key => $value) {
-        $this->add_key($key);
-      }
-    }
-  }
-  
-  function set_default_values() {
-    foreach(CF_Config_Lang::$default_keys as $default_key => $default_values) {
-      foreach($default_values as $language => $value) {
-        if (empty($this->defined_languages[$language][$default_key])) {
-          $this->defined_languages[$language][$default_key] = $value;
-        }
-      }
-      $this->add_key($default_key);
-    }
-  }
-  
-  function get_keys() {
-    return $this->keys;
-  }
-  
-  function add_key($key) {
-    if (in_array($key, $this->keys)) {
-      // already exists
-      return;
-    }
-    $this->keys[]=$key;
-    // Add key to all languages
-    foreach($this->automatic_values as $language => $keys) {
-      if (!isset($this->defined_languages[$language][$key])) {
-        $this->defined_languages[$language][$key] = '';
-      }
-    }
-    foreach($this->added_languages as $language => $keys) {
-      if (!isset($this->added_languages[$language][$key])) {
-        $this->added_languages[$language][$key] = '';
-      }
-    }
-  }
-  
-  function get_value($language=null, $key=null, $return_default=true) {
-    $values = $this->get_merged_values();
-    if (null == $language) {
-      return $values;
-    }
-    if (!isset($values[$language])) {
-      return null;
-    }
-    if (null == $key) {
-      return $values[$language];
-    }
-    if (!isset($values[$language][$key]) or empty($values[$language][$key])) {
-      if ($return_default) {
-        return $values[CF_LANG_DEFAULT][$key];
-      }
-      return null;
-    }
-    return $values[$language][$key];
-  }
-  
-  function set_value($language, $key, $value) {
-    if (isset($this->defined_languages[$language])) {
-      $this->defined_languages[$language][$key] = $value;
-    } else {
-      if (!isset($this->added_languages[$language])) {
-        $this->added_languages[$language] = array();
-      }
-      $this->added_languages[$language][$key] = $value;
-    }
-    $this->add_key($key);
-  }
-  
-  function get_extended_values($language=null) {
-    $values = $this->get_merged_values();
-    $return_values = array();
-    foreach($values as $language => $keys) {
-      foreach($keys as $key => $value) {
-        if (!isset($return_values[$key])) {
-          $return_values[$key] = '';
-        }
-        if (!empty($value)) {
-          if (strcmp($language, CF_LANG_DEFAULT) != 0) {
-            $language = substr($language, 0, 2);
-          }
-          $return_values[$key] .= '[lang=' . $language . ']';
-          $return_values[$key] .= $value;
-          $return_values[$key] .= '[/lang]';
-        }
-      }
-    }
-    return $return_values;
-  }
-  
-  function mass_update($new_values = array()) {
-    foreach($new_values as $key => $values) {
-      if (is_array($values)) {
-        foreach($values as $language => $content) {
-          $this->set_value($language, $key, $content);
-        }
-      }
-    }
-  }
-  
-  /* ************************ */
-  /* ** Private functions  ** */
-  /* ************************ */
-
-  protected function get_merged_values() {
-    return array_merge_recursive($this->defined_languages, $this->added_languages);
-  }
-  
-  protected function init() {
-    $this->automatic_values = array();
-    foreach(CF_Config_Lang::get_available_languages() as $language) {
-      $this->defined_languages[$language] = array();
-    }
-  }
-}
-?>
Index: /extensions/ContactForm/classes/cf_plugin.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_plugin.class.php	(revision 9069)
+++ /extensions/ContactForm/classes/cf_plugin.class.php	(revision 9070)
@@ -53,5 +53,5 @@
     
     $cf_values = array(
-        'TEXT'  => $this->config->get_lang_value('contact_form_link'),
+        'TEXT'  => l10n('contact_form_link'),
         'URL'   => make_index_url(array('section' => CF_URL_PARAMETER)),
       );
@@ -75,6 +75,6 @@
     if (!isset($block_mbMenu->data[CF_MENUBAR_KEY])) {
       $contact_form_menu = array(
-          'TITLE' => $this->config->get_lang_value('contact_form_title'),
-          'NAME'  => $this->config->get_lang_value('contact_form'),
+          'TITLE' => l10n('contact_form_title'),
+          'NAME'  => l10n('contact_form'),
           'URL'   => make_index_url(array('section' => CF_URL_PARAMETER)),
         );
@@ -165,5 +165,5 @@
     global $template;
     $cf_link = array(
-        'TEXT'  => $this->config->get_lang_value('contact_form_link'),
+        'TEXT'  => l10n('contact_form_link'),
         'URL'   => make_index_url(array('section' => CF_URL_PARAMETER)),
       );
Index: /extensions/ContactForm/config.php
===================================================================
--- /extensions/ContactForm/config.php	(revision 9069)
+++ /extensions/ContactForm/config.php	(revision 9070)
@@ -8,5 +8,4 @@
 $config_tabs[]='config';
 $config_tabs[]='emails';
-$config_tabs[]='language';
 
 global $template, $page;
Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 9069)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 9070)
@@ -62,5 +62,4 @@
 // Load class files
 cf_require_class("CF_Log");
-cf_require_class("CF_Config_Lang");
 cf_require_class("CF_Config");
 cf_require_class("CF_Plugin");
@@ -82,63 +81,3 @@
 $cf_config_default[CF_CFG_ADMIN_MAILS] = array();
 CF_Config::$default_config = $cf_config_default;
-
-$cf_config_lang_keys = array();
-$cf_config_lang_keys['contact_form_title'] = array(
-    CF_LANG_DEFAULT => l10n('contact_form_title'),
-	'ar_SA' => 'نموذج الاتصال',
-	'cs_CZ' => 'Kontaktní formulář',
-	'de_DE' => 'Kontaktformular',
-    'en_UK' => 'Contact form',
-	'es_ES' => 'Formulario de contacto',
-    'fr_FR' => 'Formulaire de contact',
-	'hu_HU' => 'Kapcsolati urlap',
-    'it_IT' => 'Formulario di contatto',
-	'lv_LV' => 'Kontaktforma',
-	'nl_NL' => 'Contact formulier',
-	'no_NO' => 'Kontakt skjema',
-	'pl_PL' => 'Formularz kontaktu',
-	'ru_RU' => 'Контактная информация',
-	'sk_SK' => 'Kontaktný formulár',
-	'sv_SE' => 'Kontakt formulär',
-	'tr_TR' => 'İletişim formu'
-);
-$cf_config_lang_keys['contact_form'] = array(
-    CF_LANG_DEFAULT => l10n('contact_form'),
-	'ar_SA' => 'اتصل بنا',
-	'cs_CZ' => 'Kontakt',
-	'de_DE' => 'Kontaktformular',
-    'en_UK' => 'Contact',
-	'es_ES' => 'Contactar',
-    'fr_FR' => 'Formulaire de contact',
-	'hu_HU' => 'Kapcsolat',
-    'it_IT' => 'Contattare',
-	'lv_LV' => 'Kontaktēt',
-	'nl_NL' => 'Contact',
-	'no_NO' => 'Kontakt',
-	'pl_PL' => 'Kontakt',
-	'ru_RU' => 'Контакты',
-	'sk_SK' => 'Kontakt',
-	'sv_SE' => 'Kontakt',
-	'tr_TR' => 'İletişim'
-); 
-$cf_config_lang_keys['contact_form_link'] = array(
-    CF_LANG_DEFAULT => l10n('contact_form_link'),
-	'ar_SA' => 'اتصل بمدير الموقع',
-	'cs_CZ' => 'Kontakt správce webu',
-	'de_DE' => 'Den Webmaster kontaktieren',
-    'en_UK' => 'Contact webmaster',
-	'es_ES' => 'Contactar webmestre',
-    'fr_FR' => 'Contacter le webmestre',
-	'hu_HU' => 'Webmester kapcsolat',
-    'it_IT' => 'Contattare il webmaster',
-	'lv_LV' => 'Kontaktēt ar webmāsteru',
-	'nl_NL' => 'Contact webmaster',
-	'no_NO' => 'Kontakt webmaster',
-	'pl_PL' => 'Kontakt do webmastera',
-	'ru_RU' => 'Contact webmaster',
-	'sk_SK' => 'Kontaktovanie webmastera',
-	'sv_SE' => 'Kontakta webmaster',
-	'tr_TR' => 'İletişim- Site yöneticisi'
-);
-CF_Config_Lang::$default_keys = $cf_config_lang_keys;
 ?>
Index: /extensions/ContactForm/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ar_SA/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/ar_SA/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'لايوجد عنوان بريد الكتروني متاح';
 $lang['cf_refresh'] = 'اعادة توليد قوائم البريد الالكتروني';
-// Language tab
-$lang['cf_tab_language'] = 'الاماكن';
-$lang['cf_language'] = 'الاماكن';
-$lang['cf_language_desc'] = 'ترجمة الرسالة';
-$lang['cf_select_item'] = 'اختار شيئا للترجمة';
-$lang['cf_default_lang'] = 'الافتراضي';
-$lang['contact_form_title_label'] = 'العنوان مستخدم في شريط القوائم';
-$lang['contact_form_label'] = 'الاسم مستخدم في شريط القوائم';
-$lang['contact_form_link_label'] = 'النص مستخدم في رابط الاتصال في ذيل الصفحة';
 ?>
Index: /extensions/ContactForm/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Žádná mail adresa k dispozici';
 $lang['cf_refresh'] = 'Regenerate e-mail list address';
-// Language tab
-$lang['cf_tab_language'] = 'Jazyk';
-$lang['cf_language'] = 'Jazyk';
-$lang['cf_language_desc'] = 'Překlad zpráv';
-$lang['cf_select_item'] = 'Vybrat položku k překladu';
-$lang['cf_default_lang'] = 'Defaultní';
-$lang['contact_form_title_label'] = 'Nadpis použitý v menu';
-$lang['contact_form_label'] = 'Název použitý v menu';
-$lang['contact_form_link_label'] = 'Text použit pro kontaktní odkaz v zápatí stránky';
 ?>
Index: /extensions/ContactForm/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 9070)
@@ -66,12 +66,3 @@
 $lang['cf_no_mail'] = 'Keine E-Mail Adresse verfügbar';
 $lang['cf_refresh'] = 'Regeneriere die E-Mail Adressenliste';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalisation';
-$lang['cf_language'] = 'Lokalisation';
-$lang['cf_language_desc'] = 'Übersetzung der Mitteilungen';
-$lang['cf_select_item'] = 'Das zu übersetzende Item auswählen';
-$lang['cf_default_lang'] = 'Default';
-$lang['contact_form_title_label'] = 'Benutzter Titel in der Menüleiste';
-$lang['contact_form_label'] = 'Angezeigter Name in der Menüleiste';
-$lang['contact_form_link_label'] = 'Benutzter Text als Kontaktlink in der Fusszeile';
 ?>
Index: /extensions/ContactForm/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'No e-mail address available';
 $lang['cf_refresh'] = 'Regenerate e-mail list address';
-// Language tab
-$lang['cf_tab_language'] = 'Localization';
-$lang['cf_language'] = 'Localization';
-$lang['cf_language_desc'] = 'Messages translation';
-$lang['cf_select_item'] = 'Select item to translate';
-$lang['cf_default_lang'] = 'Default';
-$lang['contact_form_title_label'] = 'Title used in menubar';
-$lang['contact_form_label'] = 'Name used in menubar';
-$lang['contact_form_link_label'] = 'Text used for contact link in the page footer';
 ?>
Index: /extensions/ContactForm/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 9070)
@@ -66,12 +66,3 @@
 $lang['cf_no_mail'] = 'Ningún correo electrónico disponible';
 $lang['cf_refresh'] = 'Regenerar la lista de las direcciones';
-// Language tab
-$lang['cf_tab_language'] = 'Localización';
-$lang['cf_language'] = 'Localización';
-$lang['cf_language_desc'] = 'Traducción de los mensajes';
-$lang['cf_select_item'] = 'Seleccione el elemento que hay que traducir';
-$lang['cf_default_lang'] = 'Por defecto';
-$lang['contact_form_title_label'] = 'Título en la barra de menús';
-$lang['contact_form_label'] = 'Nombre fijado en la barra de menús';
-$lang['contact_form_link_label'] = 'Texto utilizado para el lazo de contacto abajo página';
 ?>
Index: /extensions/ContactForm/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Aucune adresse e-mail disponible';
 $lang['cf_refresh'] = 'Regénérer la liste des adresses';
-// Language tab
-$lang['cf_tab_language'] = 'Localisation';
-$lang['cf_language'] = 'Localisation';
-$lang['cf_language_desc'] = 'Traduction des messages';
-$lang['cf_select_item'] = 'Sélectionnez l\'élément à traduire';
-$lang['cf_default_lang'] = 'Par défaut';
-$lang['contact_form_title_label'] = 'Titre dans la barre de menus';
-$lang['contact_form_label'] = 'Nom affiché dans la barre de menus';
-$lang['contact_form_link_label'] = 'Texte utilisé pour le lien de contact en bas de page';
 ?>
Index: /extensions/ContactForm/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Nincs e-mail cím';
 $lang['cf_refresh'] = 'E-mail címlista frissítése';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalizáció';
-$lang['cf_language'] = 'Lokalizáció';
-$lang['cf_language_desc'] = 'Megjelenő szöveg fordítása';
-$lang['cf_select_item'] = 'Lefordítandó elem kijelölése';
-$lang['cf_default_lang'] = 'Alapértelmezett';
-$lang['contact_form_title_label'] = 'Bővítmények menüsorban használt cím';
-$lang['contact_form_label'] = 'Menüben használt menücím';
-$lang['contact_form_link_label'] = 'Az oldal láblécében használt kapcsolat link szövege';
 ?>
Index: /extensions/ContactForm/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 9070)
@@ -66,12 +66,3 @@
 $lang['cf_no_mail'] = 'Nessun\'indirizzo e-mail disponibile';
 $lang['cf_refresh'] = 'Rigenerare la lista degli indirizzi';
-// Language tab
-$lang['cf_tab_language'] = 'Localizzazione';
-$lang['cf_language'] = 'Localizzazione';
-$lang['cf_language_desc'] = 'Traduzzione dei messaggi';
-$lang['cf_select_item'] = 'Selezzionare l\'elemento da tradurre';
-$lang['cf_default_lang'] = 'Di default';
-$lang['contact_form_title_label'] = 'Titolo nella barra dei menu';
-$lang['contact_form_label'] = 'Nome visualizzato nella barra dei menu';
-$lang['contact_form_link_label'] = 'Testo utilizzato per il link di contatto nel footer';
 ?>
Index: /extensions/ContactForm/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Nav pieejama e-pasta adrese';
 $lang['cf_refresh'] = 'Atjaunot e-pasta saraksta adresi';
-// Iezīme valoda  
-$lang['cf_tab_language'] = 'Lokalizācija';
-$lang['cf_language'] = 'Lokalizācija';
-$lang['cf_language_desc'] = 'Ziņojuma tulkojums';
-$lang['cf_select_item'] = 'Izvēlēties pārtulkojamo vienību';
-$lang['cf_default_lang'] = 'Pēc noklusējuma';
-$lang['contact_form_title_label'] = 'Izvēlnes joslā lietotais virsraksts';
-$lang['contact_form_label'] = ' Izvēlnes joslā lietotais vārds';
-$lang['contact_form_link_label'] = 'Lapas kājenī kontaktsaitei lietotais teksts';
 ?>
Index: /extensions/ContactForm/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Geen e-mail adres beschikbaar';
 $lang['cf_refresh'] = 'Regenereer e-mail lijst adres';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalisatie';
-$lang['cf_language'] = 'Lokalisatie';
-$lang['cf_language_desc'] = 'bericht vertaling';
-$lang['cf_select_item'] = 'Selecteer item om te vertalen';
-$lang['cf_default_lang'] = 'Standaard';
-$lang['contact_form_title_label'] = 'Titel gebruikt in menubalk';
-$lang['contact_form_label'] = 'Naam gebruikt in de menubalk';
-$lang['contact_form_link_label'] = 'Tekt gebruikt in de contact link in de pagina voettekst';
 ?>
Index: /extensions/ContactForm/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/no_NO/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/no_NO/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'INgen e-mail addresse tilgjengelig';
 $lang['cf_refresh'] = 'Oppdater e-mail adresse liste';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalisasjon';
-$lang['cf_language'] = 'Lokalisasjon';
-$lang['cf_language_desc'] = 'Beskjed oversettelse';
-$lang['cf_select_item'] = 'Velg beskjef å oversette';
-$lang['cf_default_lang'] = 'Satndard';
-$lang['contact_form_title_label'] = 'Tittel brukt i meny linjen';
-$lang['contact_form_label'] = 'Navn brkt i meny linjen';
-$lang['contact_form_link_label'] = 'Tekst brukt kontakt link i sidens bunn linje';
 ?>
Index: /extensions/ContactForm/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 9070)
@@ -66,13 +66,4 @@
 $lang['cf_no_mail'] = 'Brak dostępnych adresów e-mail';
 $lang['cf_refresh'] = 'Ponowne tworzenie listy adresów e-mail';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalizacja';
-$lang['cf_language'] = 'Lokalizacja';
-$lang['cf_language_desc'] = 'Tłumaczenie wiadomości';
-$lang['cf_select_item'] = 'Wybierz pole do przetłumaczenia';
-$lang['cf_default_lang'] = 'Domyślny';
-$lang['contact_form_title_label'] = 'Tytuł używany in menubar';
-$lang['contact_form_label'] = 'Nazwa używana w menubar';
-$lang['contact_form_link_label'] = 'Tekst używany w stopce strony jako link kontaktu';
 // translated by emcek
 ?>
Index: /extensions/ContactForm/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Нет доступных адресов e-mail';
 $lang['cf_refresh'] = 'Сформировать список адресов e-mail снова';
-// Вкладка "Языки"
-$lang['cf_tab_language'] = 'Локализация';
-$lang['cf_language'] = 'Локализация';
-$lang['cf_language_desc'] = 'Перевод сообщений';
-$lang['cf_select_item'] = 'Выберите элементы для перевода';
-$lang['cf_default_lang'] = 'Язык по умолчанию';
-$lang['contact_form_title_label'] = 'Название элемента в меню';
-$lang['contact_form_label'] = 'Имя элемента в меню';
-$lang['contact_form_link_label'] = 'Текст метки контактной информации внизу страницы';
 ?>
Index: /extensions/ContactForm/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'E-mailová adresa nie je dostupná';
 $lang['cf_refresh'] = 'Obnoviť zoznam e-mailých adries';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalizácia';
-$lang['cf_language'] = 'Lokalizácia';
-$lang['cf_language_desc'] = 'Preklad správ';
-$lang['cf_select_item'] = 'Označenie položiek na preklad';
-$lang['cf_default_lang'] = 'Predvolené';
-$lang['contact_form_title_label'] = 'Názov použitý v menu';
-$lang['contact_form_label'] = 'Názov použitý v menu';
-$lang['contact_form_link_label'] = 'Text použitý na kontaktný link v päte stránky';
 ?>
Index: /extensions/ContactForm/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 9070)
@@ -67,12 +67,3 @@
 $lang['cf_no_mail'] = 'Ingen e-postadress tillgänglig';
 $lang['cf_refresh'] = 'generera ny e-post lista';
-// Language tab
-$lang['cf_tab_language'] = 'Lokalisering';
-$lang['cf_language'] = 'Lokalisering';
-$lang['cf_language_desc'] = 'Meddelanden översättning';
-$lang['cf_select_item'] = 'Välj post för att översätta';
-$lang['cf_default_lang'] = 'Standard';
-$lang['contact_form_title_label'] = 'Titel som används i menyraden';
-$lang['contact_form_label'] = 'Namn som används i menyraden';
-$lang['contact_form_link_label'] = 'Text som används för kontakt länken i sidfoten';
 ?>
Index: /extensions/ContactForm/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 9069)
+++ /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 9070)
@@ -70,12 +70,3 @@
 $lang['cf_no_mail'] = 'Mevcut e-posta adresi yok';
 $lang['cf_refresh'] = 'E-posta listesini tekrar oluştur';
-// Dil bölümü
-$lang['cf_tab_language'] = 'Yerelleştirme';
-$lang['cf_language'] = 'Yerelleştirme';
-$lang['cf_language_desc'] = 'Mesajları çevir';
-$lang['cf_select_item'] = 'Çevirmek için öğe seçiniz';
-$lang['cf_default_lang'] = 'Varsayılan';
-$lang['contact_form_title_label'] = 'Menüde kullanılan başlık';
-$lang['contact_form_label'] = 'Menüde kullanılan isim';
-$lang['contact_form_link_label'] = 'İletişim bağlantısı altında kullanılacak yazı';
 ?>