Index: /trunk/admin/include/functions_metadata.php
===================================================================
--- /trunk/admin/include/functions_metadata.php	(revision 9072)
+++ /trunk/admin/include/functions_metadata.php	(revision 9073)
@@ -90,5 +90,9 @@
     if (in_array($pwg_key, array('date_creation', 'date_available')))
     {
-      if (preg_match('/^(\d{4}).(\d{2}).(\d{2})/', $value, $matches))
+      if (preg_match('/^(\d{4}).(\d{2}).(\d{2}) (\d{2}).(\d{2}).(\d{2})/', $value, $matches))
+      {
+        $exif[$pwg_key] = $matches[1].'-'.$matches[2].'-'.$matches[3].' '.$matches[4].':'.$matches[5].':'.$matches[6];
+      }
+      elseif (preg_match('/^(\d{4}).(\d{2}).(\d{2})/', $value, $matches))
       {
         $exif[$pwg_key] = $matches[1].'-'.$matches[2].'-'.$matches[3];
Index: /trunk/install/db/96-database.php
===================================================================
--- /trunk/install/db/96-database.php	(revision 9073)
+++ /trunk/install/db/96-database.php	(revision 9073)
@@ -0,0 +1,46 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'add time in images.date_creation column';
+
+// Only MySQL is concerned, other DB engines are already "timestamp"
+if ('mysql' == $conf['dblayer'])
+{
+  $query = '
+ALTER TABLE '.IMAGES_TABLE.'
+  MODIFY date_creation datetime
+;';
+  pwg_query($query);
+}
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/install/piwigo_structure-mysql.sql
===================================================================
--- /trunk/install/piwigo_structure-mysql.sql	(revision 9072)
+++ /trunk/install/piwigo_structure-mysql.sql	(revision 9073)
@@ -177,5 +177,5 @@
   `file` varchar(255) binary NOT NULL default '',
   `date_available` datetime NOT NULL default '0000-00-00 00:00:00',
-  `date_creation` date default NULL,
+  `date_creation` datetime default NULL,
   `tn_ext` varchar(4) default '',
   `name` varchar(255) default NULL,
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 9072)
+++ /trunk/picture.php	(revision 9073)
@@ -860,5 +860,5 @@
       'chronology_style'=>'monthly',
       'chronology_view'=>'list',
-      'chronology_date' => explode('-', $picture['current']['date_creation'])
+      'chronology_date' => explode('-', substr($picture['current']['date_creation'], 0, 10))
       )
     );