Index: extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9089)
+++ extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9090)
@@ -14,5 +14,5 @@
 $lang['UAM_miscTitle'] = 'Registration followed and other options';
 $lang['UAM_carexcTitle'] = 'Usernames: Exclusion of characters';
-$lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse logins containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
+$lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse login names containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
 NB: The option can also exclude whole words.
 <br><br>
@@ -30,5 +30,5 @@
 $lang['UAM_infomailTitle'] = 'Information email to user';
 $lang['UAM_infomailTitle_d'] = 'This option allows to automate sending an information email to a user when registering or when changes his password or email address in their profile.<br><br>
-The content of the message sent is composed of a customizable part to introduce a little welcome note and a fixed part indicating the login, password and email address of the user.';
+The content of the message sent is composed of a customizable part to introduce a little welcome note and a fixed part indicating the login name, password and email address of the user.';
 $lang['UAM_infotxtTitle'] = 'Customizing the information email';
 $lang['UAM_confirmtxtTitle'] = 'Customizing the confirmation email';
Index: extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 9089)
+++ extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 9090)
@@ -11,5 +11,5 @@
 
 /* Mailing */
-$lang['infos_mail %s'] = '%s, please find here your information to login the gallery :';
+$lang['infos_mail %s'] = '%s, please find here your information to log in the gallery :';
 $lang['User: %s'] = 'User : %s';
 $lang['Password: %s'] = 'Password: %s';
Index: extensions/NBC_UserAdvManager/trunk/maintain.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 9089)
+++ extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 9090)
@@ -26,5 +26,5 @@
 Best regards,
 
-The admin of the gallery.','false','false','false','false','false','Sorry, your account has been deleted due to a too long time passed since your last visit.','Sorry, your account has been deprecated due to a too long time passed since your last visit. Please, use the following link to revalidate your account.',-1,-1,'Thank you to have registered the gallery. Your account has been manually validated by admin. You can now visit all the gallery for free !');
+The admin of the gallery.','false','false','false','false','false','Sorry, your account has been deleted due to a too long time passed since your last visit.','Sorry, your account has been deprecated due to a too long time passed since your last visit. Please, use the following link to revalidate your account.',-1,-1,'Thank you for registering at _name_of_site_. Your account has been manually validated by _admin_. You may now log in at _link_to_site_ and make any appropriate changes to your profile. Welcome to _name_of_site_!');
 
   $q = '
@@ -43,5 +43,5 @@
 This is a reminder message because you registered on our gallery but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have 2 days to confirm your registration by clicking on the link in the message you should have received when you registered.
 
-Note: After this period, your account will be permanently deleted.','Thank you to have confirmed your email address and your registration on the gallery. Have fun !','Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.');
+Note: After this period, your account will be permanently deleted.','You have confirmed that you are human and may now use _name_of_site_! Welcome!','Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.');
 
   $q = '
@@ -68,5 +68,5 @@
 PRIMARY KEY  (id)
   )
-;";
+ENGINE=MyISAM;";
   pwg_query($q);
 
@@ -78,5 +78,5 @@
 PRIMARY KEY (`user_id`)
   )
-;";
+ENGINE=MyISAM;";
   pwg_query($q);
 }